Bug 6454 - Searching by callnumber uses callnum,wrdl not callnum,phr
Summary: Searching by callnumber uses callnum,wrdl not callnum,phr
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: lculber
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-03 20:53 UTC by lculber
Modified: 2013-12-05 20:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lculber 2011-06-03 20:53:38 UTC
The callnum,wrdl search works as is as long as there are no
spaces.  920/M69b pulls up that call number but also
920/M69ba and 920/M69bi which is acceptable. But a search in our catalog for Series 21 pulls up "Series 410/Roll 2164" as well as "Series 21" and "Series 21/Yazoo County"
Comment 1 lculber 2011-06-15 12:51:26 UTC
another patch was created for sn to search as phrase, to search as exact it would have to be ext instead of phr, but ext did not give us the results we wanted
Comment 2 Katrin Fischer 2013-04-13 21:40:58 UTC
There will be 2 new preferences in 3.12 to control if wrdl or phr are used for searching call numbers and standard numbers from staff and OPAC.